//+------------------------------------------------------------------+
//|                                                  GG-TrendBar.mq4 |
//|                                             GGekko + GMACD_Signal|
//|                                                            McNish|
//+------------------------------------------------------------------+
#property copyright "GGekko"
#property link      ""

#property indicator_chart_window
#property indicator_buffers 3
int tframe[]={60,240,1440};
string tf[]={"H1","H4","D1"};//,"D"
int tfnumber=3;    


extern color UpColor=Green;
extern color DownColor=Red;
extern color FlatColor=Yellow;
extern color TextColor=Aqua;
extern color  clrs = Black;
extern int Corner=3;
//  Signal //
extern int FastEMA = 12;
extern int SlowEMA = 26;
extern int SignalSMA = 9;

//

string TimeFrameStr;
double IndVal[3];
double Old_Price;
double   Upper[];
double   Lower[];
double   Flat[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
     SetIndexBuffer(0,Upper);
    SetIndexBuffer(1,Lower);
     SetIndexBuffer(2,Flat);
      
       SetIndexStyle(0,DRAW_HISTOGRAM);
      SetIndexStyle(1,DRAW_HISTOGRAM);
      SetIndexStyle(2,DRAW_HISTOGRAM);
      //SetIndexLabel(0,NULL);
      // SetIndexLabel(1,NULL);
      // SetIndexLabel(2,NULL);
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   for(int k=1;k<tfnumber+1;k++)
      ObjectDelete("Ind"+k);
   for(k=1;k<tfnumber+1;k++)
      ObjectDelete(tf[k-1]);
//----
   ObjectsDeleteAll(0,OBJ_LABEL);
   ObjectDelete("DataH1"); ObjectDelete("DataH4"); ObjectDelete("DataD1");
//   ObjectDelete("Market_Price_Label"); 
   
//----
   return(0);
  }
   
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   
//----
   
   for(int a=1;a<tfnumber+1;a++)
      ObjectDelete("Ind"+a);


      for(int y=1;y<tfnumber+1;y++)
      {
         if(IndVal[y-1]==-1) {ObjectSetText("Ind"+y,CharToStr(110),12,"Wingdings",DownColor); Lower[y] = DownColor;}
         if(IndVal[y-1]==0) {ObjectSetText("Ind"+y,CharToStr(110),12,"Wingdings",FlatColor); Flat[y] = FlatColor;}
         if(IndVal[y-1]==1) {ObjectSetText("Ind"+y,CharToStr(110),12,"Wingdings",UpColor); Upper[y] = UpColor;}
      }  
   
//----

int counted_bars = IndicatorCounted();

//
    double macd_H1=iMACD(NULL,PERIOD_H1,FastEMA,SlowEMA,SignalSMA,PRICE_CLOSE,MODE_MAIN,0); 
    double macd_HH1=iMACD(NULL,PERIOD_H1,FastEMA,SlowEMA,SignalSMA,PRICE_CLOSE,MODE_SIGNAL,0);
    double macd_H4=iMACD(NULL,PERIOD_H4,FastEMA,SlowEMA,SignalSMA,PRICE_CLOSE,MODE_MAIN,0); 
    double macd_HH4=iMACD(NULL,PERIOD_H4,FastEMA,SlowEMA,SignalSMA,PRICE_CLOSE,MODE_SIGNAL,0); 
    double macd_D1=iMACD(NULL,PERIOD_D1,FastEMA,SlowEMA,SignalSMA,PRICE_CLOSE,MODE_MAIN,0); 
    double macd_DD1=iMACD(NULL,PERIOD_D1,FastEMA,SlowEMA,SignalSMA,PRICE_CLOSE,MODE_SIGNAL,0);


    string  trend_signal, trend_main, trend_level;
    color   color_h1, color_h4, color_d1, color_signal, color_main, color_level;
   
    if ((macd_H1 > macd_HH1)) { color_h1 = UpColor; }
    if ((macd_H1 < macd_HH1)) { color_h1 = DownColor; }
    
    if ((macd_H4 > macd_HH4)) { color_h4 = UpColor; }
    if ((macd_H4 < macd_HH4)) { color_h4 = DownColor; }  

    if ((macd_D1 > macd_DD1)) { color_d1 =UpColor ; }
    if ((macd_D1 < macd_DD1)) { color_d1 = DownColor; }
    
    //MACD Direction H1 = D1        


    ObjectCreate("DataH1", OBJ_LABEL, 0,0,0, 0, 0);//H1 SIGNAL
        ObjectSetText("DataH1","H",11, "Tahoma Bold", color_h1);
        ObjectSet("DataH1", OBJPROP_CORNER, Corner);
        ObjectSet("DataH1", OBJPROP_XDISTANCE, 31);
        ObjectSet("DataH1", OBJPROP_YDISTANCE, 1);

    ObjectCreate("DataH4", OBJ_LABEL, 0,0,0, 0, 0);//H4 SIGNAL
        ObjectSet("DataH4", OBJPROP_CORNER, Corner);
        ObjectSet("DataH4", OBJPROP_XDISTANCE, 15);
        ObjectSet("DataH4", OBJPROP_YDISTANCE, 1);
        ObjectSetText("DataH4","K",11, "Tahoma Bold", color_h4);

    ObjectCreate("DataD1", OBJ_LABEL, 0,0,0, 0, 0);//D1 SIGNAL
        ObjectSetText("DataD1","D",11, "Tahoma Bold", color_d1);
        ObjectSet("DataD1", OBJPROP_CORNER, Corner);
        ObjectSet("DataD1", OBJPROP_XDISTANCE, 1);
        ObjectSet("DataD1", OBJPROP_YDISTANCE, 1);

//----

   return(0);
  }
  
//+------------------------------------------------------------------+

